<?xml version="1.0"?>

<st-source>
<!-- Changes in change set PV -->
<time-stamp>From VisualWorks®, 7.3.1 of April 20, 2005 on August 4, 2010 at 2:04:16 pm</time-stamp>


<methods>
<class-id>PROVISO.PvFtpClientConnection</class-id> <category>private</category>

<body package="PV-FTP Client" selector="rawResultFrom:">rawResultFrom: aString

	^PvFtpResult newFromString: aString</body>
</methods>

<methods>
<class-id>PROVISO.PvFtpClientConnection</class-id> <category>initializing</category>

<body package="PV-FTP Client" selector="rawReceiveResult">rawReceiveResult
	
	^self rawResultFrom: self receive</body>
</methods>


<methods>
<class-id>PROVISO.PvFtpClientConnection</class-id> <category>private</category>

<body package="PV-FTP Client" selector="waitForResultFrom:">waitForResultFrom: anFtpResult 
	
	| newResult lastGoodResult |
	newResult := anFtpResult.
	lastGoodResult := newResult.
	[newResult isError not and: [newResult continue]] 
		whileTrue: 
			[lastGoodResult := newResult.
			newResult := self executeWithTimeoutProtection: [self rawReceiveResult]].
	lastGoodResult isError 
		ifTrue: 
			[lastGoodResult sessionLogString: self logStream contents.
			self disconnect].
	^lastGoodResult</body>
</methods>

<methods>
<class-id>PROVISO.PvFtpClientConnection</class-id> <category>initializing</category>

<body package="PV-FTP Client" selector="resultFrom:">resultFrom: aString 
	
	| result |
	result := self rawResultFrom: aString.
	result isError 
		ifTrue: 
			[result sessionLogString: self logStream contents.
			self disconnect].
	^result</body>
</methods>



</st-source>
